// Required
@import "breakpoints";
@import "spacers";
$primary: #1eb5d8;
$secondary: #595959;
$lightGray: #c1c1c9;
$bodyBg: #eef3fb;
$orange: #ffa974;
$green: #71c3a8;
$red: #ff2f33;
$primaryGradient: linear-gradient(45deg, #1eb5d8, #8feaff);
$greenGradient: linear-gradient(45deg, #71c3a8, #95ffdc);
@mixin lineNum($num) {
	overflow: hidden;
	text-overflow: ellipsis;
	display: -webkit-box;
	-webkit-line-clamp: $num;
	-webkit-box-orient: vertical;
}
body {
	background: $bodyBg;
	color: $secondary;
	font-family: "Roboto", sans-serif;
	overflow-x: hidden;
	&::-webkit-scrollbar {
		width: 8px;
	}
	&::-webkit-scrollbar-thumb {
		background-color: $lightGray;
	}
}
a,
button {
	transition: 0.3s all ease-in-out;
	color: $secondary;
	&:focus {
		box-shadow: none;
	}
}
a {
	text-decoration: none;
	transition: 0.3s all ease-in-out;
}

svg {
	path,
	circle,
	rect {
		transition: 0.3s all ease-in-out;
	}
}
hr {
	background: #ddd;
}
.svg {
	display: none;
}
.racf__btn {
	background: $primaryGradient;
	padding: 15px 35px;
	color: #fff;
	border-radius: 6px;
	border: none;
	@include respond-below(md) {
		padding: 10px 20px;
		font-size: 14px;
	}
	svg {
		transition: 0.3s all ease-in-out;
		path {
			fill: #fff;
		}
	}
	&:hover {
		transform: translateY(-2px);
		box-shadow: 0 3px 20px rgba($secondary, 0.1);
		color: #fff;
		svg {
			transform: translateX(2px);
		}
	}
}
.desc {
	@include respond-below(md) {
		font-size: 14px;
	}
}
.form-control {
	padding: 15px 20px;
	background: $bodyBg;
	border: 1px solid #ddd;
	border-radius: 6px;
	color: $secondary;
	box-shadow: none;
	-webkit-appearance: none;
	@include respond-below(md) {
		font-size: 14px;
	}
	&::placeholder {
		font-family: "Roboto", sans-serif;
		color: $lightGray;
	}
	&:focus {
		border-color: $primary !important;
		outline: none;
		box-shadow: none;
		background: $bodyBg;
	}
}

select {
	&.form-control {
		-webkit-appearance: none !important;
		-moz-appearance: none !important;
		background-color: $bodyBg;
		background-image: url("../images/arrow-select.svg") !important;
		background-repeat: no-repeat !important;
		background-position-x: 97% !important;
		background-position-y: 26px !important;
	}
}

.form-group {
	margin-bottom: 30px;
	@include respond-below(md) {
		margin-bottom: 20px;
	}
	label {
		margin-bottom: 10px;
		@include respond-below(md) {
			font-size: 14px;
		}
	}
}
.text-primary {
	color: $primary !important;
}
.text-secondary {
	color: $secondary !important;
}
.wrapper {
	overflow: hidden;
}
.dropdown-menu {
	border-radius: 6px;
	box-shadow: 0 3px 15px rgba($color: #000000, $alpha: 0.1);
	padding: 5px 10px;
	border: none;
	a {
		padding: 5px;
		border-radius: 6px;
		color: $secondary;
		@include respond-below(md) {
			font-size: 14px;
		}
		&:hover {
			background: rgba($color: $primary, $alpha: 0.1);
			color: $primary;
		}
	}
	hr {
		margin: 5px 0;
	}
}
.nav__menu {
	position: relative;
	padding-top: 15px;
	padding-bottom: 15px;
	z-index: 9;
	transition: 0.3s all ease-in-out;
	@include respond-below(md) {
		padding-top: 0;
		padding-bottom: 0;
	}
	&::before {
		content: "";
		position: absolute;
		left: 0;
		top: 0;
		background: #fff;
		width: 67vw;
		height: 100%;
		z-index: 1;
		@media (min-width: 1200px) and (max-width: 1330px) {
			width: 70vw;
		}
		@include respond-below(xl) {
			width: 100%;
		}
		@include respond-below(md) {
			background: linear-gradient(45deg, #20b4d7, #26b0cf);
		}
	}
	& > .container {
		position: relative;
		z-index: 2;
	}
	.menu__left {
		max-width: 70%;
		flex: 0 0 70%;
		@include respond-below(lg) {
			max-width: auto;
			flex: 0 0 auto;
		}
	}
	.navbar-brand {
		padding: 10px 20px;
		background: #fff;
		border-radius: 6px;
		@include respond-below(md) {
			padding: 0;
			border-radius: 0;
			background: transparent;
		}
		img {
			width: 207px;
			transition: 0.3s all ease-in-out;
			@media (min-width: 1200px) and (max-width: 1330px) {
				width: 187px;
			}
			@include respond-below(xl) {
				width: 55px;
				height: 55px;
				border-radius: 50%;
				box-shadow: 0 0 10px rgba($secondary, 0.1);
			}
			@include respond-below(md) {
				width: 65px;
				height: 65px;
				box-shadow: none;
			}
		}
	}
	.links {
		display: flex;
		.nav-link {
			color: $secondary;
			@include respond-below(lg) {
				font-size: 22px;
				margin-bottom: 40px;
			}
			@include respond-below(md) {
				font-size: 18px;
			}
			&:hover,
			&.active {
				color: $primary;
			}
		}
		@include respond-below(lg) {
			position: fixed;
			flex-direction: column;
			top: 0;
			left: 0;
			width: 450px;
			height: 100%;
			min-height: 100vh;
			overflow-y: auto;
			z-index: 999;
			padding: 50px;
			background: #fff;
			box-shadow: -3px 0px 15px rgba($secondary, 0.1);
			transition: 0.2s all ease-in-out;
			left: -120%;
			&.active {
				left: 0;
			}
			&::-webkit-scrollbar {
				width: 4px;
			}
			&::-webkit-scrollbar-thumb {
				background-color: $lightGray;
			}
		}
		@include respond-below(md) {
			width: 270px;
			padding: 20px;
		}
	}
	.register__btn {
		padding: 15px 35px;
		margin-right: 30px;
	}
	.user__login {
		font-size: 14px;
		background: $primary;
		box-shadow: 0 0 15px rgba($secondary, 0.1);
		padding: 2px 4px;
		border-radius: 6px;
		margin-top: 4px;
		color: #fff;
		.price {
			font-size: 16px;
			font-weight: 600;
		}
	}
	.btn__menu {
		padding: 15px 35px;
		border-radius: 50px;
		background: #fff;
		border: 1px solid $primary;
		color: $primary;
		box-shadow: 0 0 15px rgba($secondary, 0.1);
		svg {
			path {
				fill: $primary;
			}
		}
		@include respond-below(md) {
			padding: 12px 18px;
			border-color: #fff;
			color: $secondary;
			svg {
				path {
					fill: $secondary;
				}
			}
		}
	}
	.menu__overlay {
		@include respond-below(lg) {
			position: fixed;
			z-index: 1;
			top: 0;
			left: 0;
			width: 100%;
			height: 100%;
			background: rgba($primary, 0.8);
			transition: 0.2s all ease-in-out;
			left: -120%;
			opacity: 0;
			&.active {
				left: 0;
				opacity: 1;
			}
		}
	}
	.close__menu {
		opacity: 0;
		position: absolute;
		top: 30px;
		left: 600px;
		z-index: 9;
		transform-origin: center center;
		transform: scale(0);
		transition: 0.3s all ease-in-out;
		&.active {
			transform: scale(1);
			opacity: 1;
		}
		@include respond-below(md) {
			left: 298px;
			img {
				width: 45px;
			}
		}
	}
	.dropdown {
		.dropdown-toggle {
			text-align: left;
			&::after {
				position: absolute;
				top: 15px;
				right: 10px;
				content: "\f107";
				font-family: "Font Awesome 5 Free";
				font-weight: 900;
				border: none;
				color: $secondary;
				transition: 0.3s all ease-in-out;
			}
			&.racf__btn {
				padding: 2px 40px 2px 20px;
				color: $secondary;
				background: #fff;
				box-shadow: 0 0 5px rgba($color: #000000, $alpha: 0.1);
				@include respond-below(md) {
					font-size: 14px;
					padding: 2px 20px 2px 10px;
				}
			}
			&.show {
				&::after {
					content: "\f106";
				}
			}
			.price {
				font-size: 14px;
				@include respond-below(md) {
					font-size: 12px;
				}
			}
		}
		&.dropdown__user__menu {
			.dropdown-toggle {
				width: 40px;
				height: 40px;
				display: flex;
				align-items: center;
				padding: 0;
				text-align: center;
				border-radius: 50%;
				box-shadow: 0 3px 15px rgba($secondary, 0.1);
				justify-content: center;
				&::after {
					display: none;
				}
			}
		}
	}
	&.on__scroll {
		background: #fff;
		box-shadow: 0 3px 10px rgba($secondary, 0.1);
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		padding-top: 5px;
		padding-bottom: 5px;
		.navbar-brand {
			img {
				width: 150px;
				@include respond-below(xl) {
					width: 45px;
					height: 45px;
				}
			}
		}
		.login__btn,
		.register__btn {
			padding: 5px 15px;
		}
		.btn__menu {
			padding: 5px 15px;
		}
	}
}
.home__web__page {
	position: relative;
	overflow: hidden;
	.header {
		position: relative;
		padding: 100px 0 260px;
		z-index: 2;
		@include respond-below(md) {
			padding-top: 30px;
			padding-bottom: 180px;
		}
		.header__bg {
			height: 100%;
			width: 67vw;
			position: absolute;
			top: 0;
			left: 0;
			pointer-events: none;
			z-index: 1;
			border-bottom-right-radius: 500px;
			overflow: hidden;
			background: #1eb5d8;
			img {
				height: 92%;
				object-fit: cover;
				border-bottom-right-radius: 50%;
			}
			@media (min-width: 1200px) and (max-width: 1330px) {
				width: 70vw;
			}
			@include respond-below(xl) {
				width: 100%;
				border-bottom-right-radius: 500px;
				overflow: hidden;
				background: #1eb5d8;
			}
			@include respond-below(md) {
				border-bottom-right-radius: 250px;
			}
		}
		& > .container {
			position: relative;
			z-index: 2;
		}
		.sm__title {
			@include respond-below(md) {
				font-size: 14px;
			}
		}
		.bg__title {
			h2,
			h1 {
				font-size: 65px;
				font-family: "Poppins", sans-serif;
				@include respond-below(xl) {
					font-size: 65px;
				}
				@include respond-below(lg) {
					font-size: 55px;
				}
				@include respond-below(md) {
					font-size: 35px;
				}
			}
		}
		.desc {
			font-size: 25px;
			@include respond-below(md) {
				font-size: 16px;
			}
		}
		.racf__btn {
			background: #fff;
			color: $primary;
			box-shadow: 0 4px 25px rgba($secondary, 0.1);
			&:hover {
				color: $primary;
			}
		}
		.header__mockup {
			@media (min-width: 768px) and (max-width: 1199px) {
				max-width: 430px;
				margin: 0 auto;
			}
			@include respond-below(lg) {
				max-width: 500px;
				margin: 70px auto 0;
			}
			@include respond-below(md) {
				margin-top: 0;
				max-width: 350px;
			}
			.sm {
				position: absolute;
				top: 0;
				left: 40px;
				z-index: 1;
				@include respond-below(md) {
					top: 30px;
					left: 10px;
				}
				& > img {
					border-radius: 12px;
					box-shadow: 0 0 0 13px rgba(#fff, 0.5);
					max-width: 219px;
					max-height: 219px;
					width: 100%;
					height: 100%;
					object-fit: cover;
					@include respond-below(xl) {
						max-width: 139px;
					}
					@include respond-below(lg) {
						max-width: 189px;
						box-shadow: 0 0 0 6px rgba(#fff, 0.5);
					}
					@include respond-below(md) {
						max-width: 109px;
					}
				}
				.call__actions {
					position: absolute;
					left: 50%;
					bottom: 0px;
					transform: translate(-50%, 0);
					img {
						width: 113px;
						@include respond-below(md) {
							max-width: 73px;
						}
					}
				}
			}
			.video__rect {
				position: absolute;
				top: calc(219px + 60px);
				left: 100px;
				z-index: 3;
				@include respond-below(xl) {
					top: calc(189px + 60px);
				}
				@include respond-below(md) {
					left: 60px;
					top: calc(99px + 60px);
				}
				img {
					@include respond-below(xl) {
						max-width: 160px;
						filter: drop-shadow(0 3px 15px rgba($secondary, 0.1));
					}
					@include respond-below(md) {
						max-width: 90px;
					}
				}
			}
			.bg {
				position: absolute;
				right: 0;
				top: 60px;
				z-index: 1;
				& > img {
					border-radius: 12px;
					box-shadow: 0 0 0 13px rgba(#fff, 0.5);
					max-width: 507px;
					max-height: 306px;
					width: 100%;
					height: 100%;
					object-fit: cover;
					@media (min-width: 1200px) and (max-width: 1330px) {
						max-width: 447px;
					}
					@include respond-below(xl) {
						max-width: 258px;
					}
					@include respond-below(lg) {
						max-width: 328px;
						box-shadow: 0 0 0 6px rgba(#fff, 0.5);
					}
					@include respond-below(md) {
						max-width: 238px;
					}
				}
				.call__actions {
					position: absolute;
					left: 50%;
					bottom: 0px;
					transform: translate(-50%, 0);
					img {
						@include respond-below(md) {
							max-width: 110px;
						}
					}
				}
				.timer {
					position: absolute;
					top: 10px;
					left: 10px;
				}
				.earned {
					position: absolute;
					top: 10px;
					right: 10px;
					img {
						@include respond-below(md) {
							max-width: 60px;
						}
					}
				}
				.call__sm {
					position: absolute;
					top: 45px;
					right: 10px;
					img:not(.voice) {
						border-radius: 12px;
						max-width: 95px;
						height: 100px;
						object-fit: cover;
						@include respond-below(xl) {
							max-width: 65px;
							height: 60px;
						}
					}
					.voice {
						width: 19px;
						position: absolute;
						top: 72px;
						right: 7px;
						@include respond-below(xl) {
							width: 16px;
							top: 36px;
							right: 4px;
						}
					}
				}
			}
		}
	}
	.title {
		font-weight: 600;
		color: $secondary;
		h2,
		h1 {
			font-size: 45px;
			font-weight: bolder;
			@include respond-below(lg) {
				font-size: 32px;
			}
			@include respond-below(md) {
				font-size: 25px;
			}
		}
		span {
			color: $primary;
		}
	}
	.hobby__items {
		.col-lg-4 {
			&:nth-child(even) {
				svg {
					@include respond-below(md) {
						transform-origin: center center;
						transform: scale(-1, 1);
					}
				}
			}
		}
		.hobby__item {
			position: relative;
			svg {
				width: 100%;
				max-height: 210px;
				opacity: 0.8;
				transition: 0.3s all ease-in-out;
				filter: drop-shadow(0 3px 15px rgba($secondary, 0.1));
			}
			.hobby__name {
				position: absolute;
				top: 64px;
				left: 50%;
				width: 100%;
				height: 100%;
				transform: translate(-50%, 0);
				color: #fff;
				font-size: 22px;
				font-weight: 600;
				text-align: center;
				@include respond-below(xl) {
					top: 44px;
				}
				@include respond-below(lg) {
					font-size: 18px;
				}
				@include respond-below(md) {
					font-size: 16px;
				}
			}
			&:hover {
				svg {
					opacity: 1;
				}
			}
		}
	}
	.cyberfriend__features {
		background: url(../images/white-bg.png) no-repeat center center;
		background-size: 100% 80%;
		@include respond-below(xl) {
			background-size: 100% 100%;
		}
		.featured__items {
			.mockup__iphone {
				position: relative;
				.mockup {
					position: relative;
					z-index: 2;
				}
				.call__bg {
					position: absolute;
					top: 16px;
					left: 50%;
					transform: translate(-50%, 0);
					width: 74%;
					height: 100%;
					overflow: hidden;
				}
				.call__actions {
					position: absolute;
					left: 50%;
					bottom: 30px;
					transform: translate(-50%, 0);
					img {
						width: 183px;
					}
				}
				.call__sm {
					position: absolute;
					top: 45px;
					right: 60px;
					@include respond-below(lg) {
						top: 65px;
						right: 190px;
					}
					@include respond-below(md) {
						top: 65px;
						right: 60px;
					}
					img:not(.voice) {
						border-radius: 12px;
						max-width: 75px;
						height: 80px;
						object-fit: cover;
						@include respond-below(xl) {
							max-width: 105px;
							height: 100px;
						}
					}
					.voice {
						width: 19px;
						position: absolute;
						top: 72px;
						right: 7px;
						@include respond-below(xl) {
							width: 21px;
							top: 72px;
							right: 4px;
						}
					}
				}
			}
			.features__list {
				li {
					background: #fafafa;
					border: 1px solid #ddd;
					box-shadow: 0 3px 10px rgba($secondary, 0.1);
					border-radius: 12px;
					&:not(:last-child) {
						margin-bottom: 20px;
					}
					.icon {
						img {
							width: 46px;
							height: 46px;
						}
					}
					.heading {
						font-size: 22px;
						font-weight: 600;
						@include respond-below(xl) {
							font-size: 18px;
						}
						@include respond-below(md) {
							font-size: 16px;
						}
					}
					.desc {
						@include respond-below(md) {
							font-size: 14px;
						}
					}
				}
			}
		}
	}
	.how__it__work {
		@include respond-below(lg) {
			margin-top: 150px;
		}
		@include respond-below(md) {
			margin-top: 70px;
		}
		.feature__lists {
			.feature__item {
				display: flex;
				align-items: center;
				background: #fafafa;
				border: 1px solid #ddd;
				border-radius: 12px;
				box-shadow: 0 3px 15px rgba($secondary, 0.1);
				&:not(:last-child) {
					margin-bottom: 30px;
				}
				@include respond-below(md) {
					flex-wrap: wrap;
					justify-content: center;
				}
				.img {
					flex: 0 0 136px;
					max-width: 136px;
					margin-right: 12px;
					img {
						width: 100%;
					}
				}
				.data {
					@include respond-below(md) {
						width: 100%;
						text-align: center;
						margin-top: 20px;
					}
					.heading {
						h2,
						h1 {
							font-size: 20px;
							@include respond-below(lg) {
								font-size: 18px;
							}
							@include respond-below(md) {
								font-size: 16px;
							}
						}
					}
					.desc {
						@include respond-below(md) {
							font-size: 14px;
						}
					}
				}
			}
			&.member {
				.feature__item {
					&:first-child {
						img {
							width: 84px;
						}
					}
					&:nth-child(2) {
						img {
							width: 133px;
						}
					}
					&:last-child {
						img {
							width: 104px;
						}
					}
				}
			}
			&.cyberfriend {
				.feature__item {
					&:first-child {
						img {
							width: 136px;
						}
					}
					&:nth-child(2) {
						img {
							width: 133px;
						}
					}
					&:last-child {
						img {
							width: 120px;
						}
					}
				}
			}
		}
		.nav-pills {
			padding: 5px;
			background: #fff;
			border: 1px solid #ddd;
			box-shadow: 0 4px 15px rgba($secondary, 0.1);
			border-radius: 6px;
			.nav-link {
				padding: 15px 35px;
				color: $secondary;
				@include respond-below(md) {
					padding: 10px 20px;
					font-size: 14px;
				}
				&:hover:not(.active) {
					color: $primary;
				}
				&.active {
					background: $primaryGradient;
					color: #fff;
				}
			}
		}
		.cyber__friend__features {
			.main__img {
				position: relative;
				.main__cyber {
					border-radius: 22px;
					box-shadow: 0 0 0 13px rgba($primary, 0.5);
					@include respond-below(md) {
						box-shadow: 0 0 0 6px rgba($primary, 0.5);
					}
				}
				.paid__time {
					position: absolute;
					top: -50px;
					right: 100px;
					@include respond-below(md) {
						top: -30px;
						right: -30px;
					}
					img {
						@include respond-below(md) {
							max-width: 200px;
						}
					}
				}
				.add__hobbies {
					position: absolute;
					top: 50%;
					transform: translate(0, -50%);
					left: -30px;
					@include respond-below(xl) {
						left: -80px;
					}
					img {
						@include respond-below(md) {
							max-width: 200px;
						}
					}
				}
				.search__friend {
					position: absolute;
					top: 140px;
					right: 0px;
					@include respond-below(xl) {
						right: -30px;
					}
					@include respond-below(md) {
						right: -80px;
						top: 70px;
					}
					img {
						@include respond-below(md) {
							max-width: 200px;
						}
					}
				}
				.accept__video {
					position: absolute;
					bottom: -67px;
					left: 40px;
					@include respond-below(md) {
						bottom: -27px;
						left: -20px;
					}
					img {
						@include respond-below(md) {
							max-width: 200px;
						}
					}
				}
			}
		}
		.member__features {
			.main__img {
				position: relative;
				.main__member {
					border-radius: 22px;
					box-shadow: 0 0 0 13px rgba($primary, 0.5);
					@include respond-below(md) {
						box-shadow: 0 0 0 6px rgba($primary, 0.5);
					}
				}
				.signup__profile {
					position: absolute;
					top: -50px;
					left: 90px;
					img {
						@include respond-below(md) {
							max-width: 200px;
						}
					}
				}
				.search__friend {
					position: absolute;
					top: 140px;
					right: 0px;
					@include respond-below(xl) {
						right: -30px;
					}
					img {
						@include respond-below(md) {
							max-width: 200px;
						}
					}
				}
				.accept__video {
					position: absolute;
					bottom: -67px;
					left: 40px;
					img {
						@include respond-below(md) {
							max-width: 200px;
						}
					}
				}
			}
		}
	}
}
.faqs__web__page {
	padding: 100px 0;
	position: relative;
	overflow: hidden;
	&::before {
		content: url(../images/shape-1.svg);
		position: absolute;
		left: -100px;
		top: 0px;
		z-index: -1;
	}
	& > div {
		position: relative;
		z-index: 2;
	}
	@include respond-below(lg) {
		padding: 60px 0;
	}
	@include respond-below(md) {
		padding: 30px 0;
	}
	.img {
		@include respond-below(lg) {
			text-align: center;
		}
		img {
			@include respond-below(lg) {
				max-width: 430px;
				margin: 0 auto;
			}
		}
	}
	.data {
		position: relative;
		.title {
			font-weight: 600;
			color: $secondary;
			h2,
			h1 {
				font-size: 45px;
				font-weight: bolder;
				@include respond-below(lg) {
					font-size: 32px;
				}
				@include respond-below(md) {
					font-size: 22px;
				}
			}
			span {
				color: $primary;
			}
		}
		.desc {
			font-size: 22px;
			font-weight: 400;
			a {
				color: $primary;
				text-decoration: underline;
			}
			@include respond-below(lg) {
				font-size: 16px;
			}
		}
	}
	.accordion {
		.accordion-item {
			border-radius: 12px;
			overflow: hidden;
			box-shadow: 0 3px 15px rgba($secondary, 0.1);
			border-bottom: none;
			&:not(:last-child) {
				margin-bottom: 20px;
			}
			.accordion-header {
				button {
					background: #fff;
					font-size: 20px;
					font-weight: 600;
					border-bottom: none;
					@include respond-below(lg) {
						font-size: 18px;
					}
					@include respond-below(md) {
						font-size: 16px;
					}
					&:not(.not-collpased) {
						color: $secondary;
					}
					&.collapsed {
						&::after {
							content: "\f107";
							font-family: "Font Awesome 5 Free";
							font-weight: 900;
							color: $secondary;
						}
					}
					&:focus {
						outline: none;
						box-shadow: none;
					}
					&::after {
						width: auto;
						height: auto;
						content: "\f106";
						font-family: "Font Awesome 5 Free";
						font-weight: 900;
						font-size: 16px;
						color: $secondary;
						background-image: none;
						transform: none;
						color: $primary;
					}
				}
			}
		}
		.accordion-body {
			iframe {
				border-radius: 12px;
			}
		}
	}
}
.hobby__web__page {
	position: relative;
	overflow: hidden;
	padding: 100px 0;
	background: url(../images/white-bg.png) no-repeat center center;
	background-size: 100% 80%;
	position: relative;
	& > div {
		position: relative;
		z-index: 2;
	}
	&::before {
		content: url(../images/shape-1.svg);
		position: absolute;
		left: -100px;
		top: 0px;
		z-index: -1;
	}
	&::after {
		content: url(../images/shape-1.svg);
		position: absolute;
		right: -100px;
		transform: scale(-1, 1);
		bottom: 0px;
		top: auto;
		z-index: -1;
	}
	@include respond-below(lg) {
		padding: 60px 0;
	}
	@include respond-below(md) {
		padding: 30px 0;
	}
	.title {
		font-weight: 600;
		color: $secondary;
		h2,
		h1 {
			font-size: 45px;
			font-weight: bolder;
			@include respond-below(lg) {
				font-size: 32px;
			}
			@include respond-below(md) {
				font-size: 22px;
			}
		}
		span {
			color: $primary;
		}
	}
	.hobby__items {
		.col-lg-4 {
			&:nth-child(even) {
				svg {
					@include respond-below(md) {
						transform-origin: center center;
						transform: scale(-1, 1);
					}
				}
			}
		}
		.hobby__item {
			position: relative;
			svg {
				width: 100%;
				max-height: 210px;
				opacity: 0.8;
				transition: 0.3s all ease-in-out;
				filter: drop-shadow(0 3px 15px rgba($secondary, 0.1));
			}
			.hobby__name {
				position: absolute;
				top: 64px;
				left: 50%;
				width: 100%;
				height: 100%;
				transform: translate(-50%, 0);
				color: #fff;
				font-size: 22px;
				font-weight: 600;
				text-align: center;
				@include respond-below(xl) {
					top: 44px;
				}
				@include respond-below(lg) {
					font-size: 18px;
				}
				@include respond-below(md) {
					font-size: 16px;
				}
			}
			&:hover {
				svg {
					opacity: 1;
				}
			}
		}
	}
}

.how__web__page {
	position: relative;
	overflow: hidden;
	padding: 100px 0;
	background: url(../images/white-bg.png) no-repeat center center;
	background-size: 100% 80%;
	@include respond-below(lg) {
		padding: 60px 0;
	}
	@include respond-below(md) {
		padding: 30px 0;
	}
	.title {
		font-weight: 600;
		color: $secondary;
		h2,
		h1 {
			font-size: 45px;
			font-weight: bolder;
			@include respond-below(lg) {
				font-size: 32px;
			}
			@include respond-below(md) {
				font-size: 22px;
			}
		}
		span {
			color: $primary;
		}
	}
	.feature__lists {
		.feature__item {
			display: flex;
			align-items: center;
			background: #fafafa;
			border: 1px solid #ddd;
			border-radius: 12px;
			box-shadow: 0 3px 15px rgba($secondary, 0.1);
			&:not(:last-child) {
				margin-bottom: 30px;
			}
			@include respond-below(md) {
				flex-wrap: wrap;
				justify-content: center;
			}
			.img {
				flex: 0 0 136px;
				max-width: 136px;
				margin-right: 12px;
				img {
					width: 100%;
				}
			}
			.data {
				@include respond-below(md) {
					width: 100%;
					text-align: center;
					margin-top: 20px;
				}
				.heading {
					h2,
					h1 {
						font-size: 20px;
						@include respond-below(lg) {
							font-size: 18px;
						}
						@include respond-below(md) {
							font-size: 16px;
						}
					}
				}
				.desc {
					@include respond-below(md) {
						font-size: 14px;
					}
				}
			}
		}
	}
	.cyber__friend__features {
		.main__img {
			position: relative;
			.main__cyber {
				border-radius: 22px;
				box-shadow: 0 0 0 13px rgba($primary, 0.5);
				@include respond-below(md) {
					box-shadow: 0 0 0 6px rgba($primary, 0.5);
				}
			}
			.paid__time {
				position: absolute;
				top: -50px;
				right: 100px;
				@include respond-below(md) {
					top: -30px;
					right: -30px;
				}
				img {
					@include respond-below(md) {
						max-width: 160px;
					}
				}
			}
			.add__hobbies {
				position: absolute;
				top: 50%;
				transform: translate(0, -50%);
				left: -30px;
				@include respond-below(xl) {
					left: -80px;
				}
				img {
					@include respond-below(md) {
						max-width: 160px;
					}
				}
			}
			.search__friend {
				position: absolute;
				top: 140px;
				right: 0px;
				@include respond-below(xl) {
					right: -30px;
				}
				@include respond-below(md) {
					right: -80px;
					top: 70px;
				}
				img {
					@include respond-below(md) {
						max-width: 160px;
					}
				}
			}
			.accept__video {
				position: absolute;
				bottom: -67px;
				left: 40px;
				@include respond-below(md) {
					bottom: -27px;
					left: -20px;
				}
				img {
					@include respond-below(md) {
						max-width: 160px;
					}
				}
			}
		}
	}
	.member__features {
		.main__img {
			position: relative;
			.main__member {
				border-radius: 22px;
				box-shadow: 0 0 0 13px rgba($primary, 0.5);
				@include respond-below(md) {
					box-shadow: 0 0 0 6px rgba($primary, 0.5);
				}
			}
			.signup__profile {
				position: absolute;
				top: -50px;
				left: 90px;
				@include respond-below(md) {
					top: -30px;
					left: 0;
				}
				img {
					@include respond-below(md) {
						max-width: 160px;
					}
				}
			}
			.search__friend {
				position: absolute;
				top: 140px;
				right: 0px;
				@include respond-below(xl) {
					right: -30px;
				}
				@include respond-below(md) {
					top: 60px;
				}
				img {
					@include respond-below(md) {
						max-width: 160px;
					}
				}
			}
			.accept__video {
				position: absolute;
				bottom: -67px;
				left: 40px;
				@include respond-below(md) {
					bottom: -20px;
					left: -40px;
				}
				img {
					@include respond-below(md) {
						max-width: 160px;
					}
				}
			}
		}
	}
}
.contact__web__page {
	position: relative;
	overflow: hidden;
	padding: 100px 0;
	@include respond-below(lg) {
		padding: 60px 0;
	}
	@include respond-below(md) {
		padding: 30px 0;
	}
	& > div {
		position: relative;
		z-index: 2;
	}
	&::before {
		content: url(../images/shape-1.svg);
		position: absolute;
		left: -100px;
		top: 0px;
		z-index: -1;
	}
	&::after {
		content: url(../images/shape-1.svg);
		position: absolute;
		right: -100px;
		transform: scale(-1, 1);
		bottom: 0px;
		top: auto;
		z-index: -1;
	}
	.img {
		@include respond-below(lg) {
			text-align: center;
		}
		img {
			@include respond-below(lg) {
				max-width: 430px;
				margin: 0 auto;
			}
		}
	}
	.title {
		font-weight: 600;
		color: $secondary;
		h2,
		h1 {
			font-size: 45px;
			font-weight: bolder;
			@include respond-below(lg) {
				font-size: 32px;
			}
			@include respond-below(md) {
				font-size: 22px;
			}
		}
		span {
			color: $primary;
		}
	}
	.desc {
		a {
			color: $primary;
			text-decoration: underline;
		}
	}
	form {
		background: #fff;
		border-radius: 22px;
		box-shadow: 0 0 15px rgba($secondary, 0.1);
	}
	.links {
		li {
			&:not(:last-child) {
				margin-bottom: 20px;
			}
			a {
				font-size: 22px;
				&:hover {
					color: $primary;
				}
				i {
					margin-bottom: 10px;
					width: 35px;
					height: 35px;
					display: flex;
					align-items: center;
					justify-content: center;
					color: #fff;
					font-size: 18px;
					border-radius: 50%;
					background: $primaryGradient;
				}
			}
		}
	}
}
.search__web__page {
	position: relative;
	overflow: hidden;
	padding: 100px 0;
	@include respond-below(lg) {
		padding: 60px 0;
	}
	@include respond-below(md) {
		padding: 30px 0;
	}
	&::before {
		content: url(../images/shape-1.svg);
		position: absolute;
		left: -100px;
		top: 0px;
		z-index: -1;
	}
	&::after {
		content: url(../images/shape-1.svg);
		position: absolute;
		right: -100px;
		transform: scale(-1, 1);
		bottom: 0px;
		top: auto;
		z-index: -1;
	}
	& > div {
		position: relative;
		z-index: 2;
	}
	&::before {
		content: url(../images/shape-1.svg);
		position: absolute;
		left: -100px;
		top: 0px;
		z-index: -1;
	}
	&::after {
		content: url(../images/shape-1.svg);
		position: absolute;
		right: -100px;
		transform: scale(-1, 1);
		bottom: 0px;
		top: auto;
		z-index: -1;
	}
	.form {
		.form-group {
			.form-control {
				background: $bodyBg;
				color: $lightGray;
				&:focus {
					color: $secondary;
				}
			}
		}
	}
	.card {
		background: #fff;
		border-radius: 12px;
		box-shadow: 0 0 15px rgba($color: #000000, $alpha: 0.1);
		border: none;

		.title {
			font-size: 18px;
			@include respond-below(md) {
				font-size: 16px;
			}
		}
	}
	.pinboard__search {
		position: relative;
		.form-control {
			border-color: $bodyBg;
			&:focus {
				box-shadow: 0 0 10px rgba($color: #000000, $alpha: 0.1);
			}
		}
		.racf__btn:not(.btn__action) {
			padding: 10px 14px;
			border-radius: 6px;
			position: absolute;
			top: 5px;
			right: 5px;
		}
		.filter__group {
			padding: 8px;
			border-radius: 6px;
			font-size: 14px;
			background: $bodyBg;
			@include respond-below(md) {
				width: 100%;
				justify-content: center;
				font-size: 12px;
				padding: 5px;
			}
			.actions {
				& > .racf__btn {
					padding: 10px 15px;
					font-size: 14px;
					border-radius: 6px;
					color: $secondary;
					background: $lightGray;
					@include respond-below(md) {
						font-size: 12px;
						padding: 5px 10px;
					}
					&:not(:last-child) {
						margin-right: 10px;
					}
					&:hover,
					&.active {
						background: $primary;
						color: #fff;
					}
				}
			}
		}
		.cards__profile {
			.col-lg-4 {
				margin-top: 60px;
				@include respond-above(lg) {
					&:nth-child(1),
					&:nth-child(2),
					&:nth-child(3) {
						margin-top: 0;
					}
				}
				@include respond-above(md) {
					&:nth-child(1),
					&:nth-child(2) {
						margin-top: 0;
					}
				}
				@include respond-above(sm) {
					&:nth-child(1) {
						margin-top: 0;
					}
				}
			}
			.card__item {
				background: $bodyBg;
				border-radius: 10px;
				border: 1px solid #ddd;
				color: $secondary;
				padding: 0 25px 25px;
				height: 100%;
				.status {
					position: absolute;
					left: 10px;
					top: 10px;
					border-radius: 4px;
					font-size: 14px;
					padding: 4px 10px;
					color: #fff;
					@include respond-below(md) {
						font-size: 12px;
					}
					&.online {
						background: $green;
					}
					&.offline {
						background: $lightGray;
					}
				}
				.img {
					margin-top: -40px;
					img {
						max-width: 84px;
						max-height: 84px;
						border-radius: 50%;
						border: 2px solid $primary;
					}
				}
				.name {
					font-size: 18px;
					@include respond-below(md) {
						font-size: 16px;
					}
				}
				.price,
				.about {
					&.about {
						@include lineNum(3);
					}
					@include respond-below(md) {
						font-size: 14px;
					}
				}
				.tags {
					display: flex;
					flex-wrap: wrap;

					span {
						font-size: 12.5px;
						border-radius: 50px;
						background: linear-gradient(45deg, #5384ce, #72aaff);
						display: inline-block;
						margin-right: 5px;
						color: #fff;
						padding: 2px 4px;
						margin-top: 4px;
					}
				}
				&:hover {
					border-color: $primary;
					box-shadow: 0 0 10px rgba($color: #000000, $alpha: 0.1);
					transform: translateY(-1px);
				}
			}
		}
	}
	.title {
		font-weight: 600;
		color: $secondary;
		h2,
		h1 {
			font-size: 45px;
			font-weight: bolder;
			@include respond-below(lg) {
				font-size: 32px;
			}
			@include respond-below(md) {
				font-size: 22px;
			}
		}
		span {
			color: $primary;
		}
	}
}
.general__web__page {
	position: relative;
	overflow: hidden;
	padding: 100px 0;
	&::before {
		content: url(../images/shape-1.svg);
		position: absolute;
		left: -100px;
		top: 0px;
		z-index: -1;
	}
	&::after {
		content: url(../images/shape-1.svg);
		position: absolute;
		right: -100px;
		transform: scale(-1, 1);
		bottom: 0px;
		top: auto;
		z-index: -1;
	}
	.title {
		font-weight: 600;
		color: $secondary;
		h2,
		h1 {
			font-size: 45px;
			font-weight: bolder;
			@include respond-below(lg) {
				font-size: 32px;
			}
			@include respond-below(md) {
				font-size: 22px;
			}
		}
		span {
			color: $primary;
		}
	}
	.card {
		background: #fff;
		border-radius: 12px;
		box-shadow: 0 0 15px rgba($color: #000000, $alpha: 0.1);
		border: none;

		.title {
			font-size: 18px;
			@include respond-below(md) {
				font-size: 16px;
			}
		}
		.data {
			&:not(:last-child) {
				margin-bottom: 30px;
			}
			.heading {
				font-size: 22px;
				font-weight: 600;
				margin-bottom: 20px;
			}
		}
	}
}
.not__found__page {
	position: relative;
	overflow: hidden;
	padding: 100px 0;
	min-height: 100vh;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	&::before {
		content: url(../images/shape-1.svg);
		position: absolute;
		left: -100px;
		top: 0px;
		z-index: -1;
	}
	&::after {
		content: url(../images/shape-1.svg);
		position: absolute;
		right: -100px;
		transform: scale(-1, 1);
		bottom: 0px;
		top: auto;
		z-index: -1;
	}
	.title {
		font-weight: 600;
		color: $secondary;
		h2,
		h1 {
			font-size: 45px;
			font-weight: bolder;
			@include respond-below(lg) {
				font-size: 32px;
			}
			@include respond-below(md) {
				font-size: 22px;
			}
		}
		span {
			color: $primary;
		}
	}
	.racf__btn {
		svg {
			path {
				fill: #fff;
			}
		}
	}
}
.signup__Web__page {
	position: relative;
	overflow: hidden;
	padding: 100px 0;
	@include respond-below(lg) {
		padding: 60px 0;
	}
	@include respond-below(md) {
		padding: 30px 0;
	}
	.feature__lists {
		.feature__item {
			display: flex;
			align-items: center;
			background: #fafafa;
			border: 1px solid #ddd;
			border-radius: 12px;
			box-shadow: 0 3px 15px rgba($secondary, 0.1);
			&:not(:last-child) {
				margin-bottom: 30px;
			}
			@include respond-below(md) {
				flex-wrap: wrap;
				justify-content: center;
			}
			.img {
				flex: 0 0 136px;
				max-width: 136px;
				margin-right: 12px;
				img {
					width: 100%;
				}
			}
			.data {
				@include respond-below(md) {
					width: 100%;
					text-align: center;
					margin-top: 20px;
				}
				.heading {
					h2,
					h1 {
						font-size: 20px;
						@include respond-below(lg) {
							font-size: 18px;
						}
						@include respond-below(md) {
							font-size: 16px;
						}
					}
				}
				.desc {
					@include respond-below(md) {
						font-size: 14px;
					}
				}
			}
		}
		&.member {
			.feature__item {
				&:first-child {
					img {
						width: 84px;
					}
				}
				&:nth-child(2) {
					img {
						width: 133px;
					}
				}
				&:last-child {
					img {
						width: 104px;
					}
				}
			}
		}
		&.cyberfriend {
			.feature__item {
				&:first-child {
					img {
						width: 136px;
					}
				}
				&:nth-child(2) {
					img {
						width: 133px;
					}
				}
				&:last-child {
					img {
						width: 120px;
					}
				}
			}
		}
	}
	.nav-pills {
		padding: 5px;
		background: #fff;
		border: 1px solid #ddd;
		box-shadow: 0 4px 15px rgba($secondary, 0.1);
		border-radius: 6px;
		.nav-link {
			padding: 15px 35px;
			color: $secondary;
			@include respond-below(md) {
				padding: 10px 20px;
				font-size: 14px;
			}
			&:hover:not(.active) {
				color: $primary;
			}
			&.active {
				background: $primaryGradient;
				color: #fff;
			}
		}
	}
}
.form-check {
	font-size: 14px;
	.form-check-input:checked {
		background-color: $primary;
		outline: none;
		box-shadow: none;
	}
	.form-check-input:focus {
		outline: none;
		box-shadow: none;
	}
	a {
		color: $primary;
		text-decoration: underline;
	}
}
.have__account,
.create__account,
.forget__password {
	font-size: 14px;
	a {
		color: $primary;
		&:hover {
			text-decoration: underline;
		}
	}
}
.footer {
	background: url(../images/footer-bg.svg) no-repeat center center / cover;
	color: #fff;
	padding-top: 180px;
	padding-bottom: 30px;
	position: relative;
	z-index: 1;
	margin-top: -100px;
	@include respond-below(md) {
		background: url(../images/footer-sm.svg) no-repeat center center / cover;
	}
	.footer-brand {
		background: #fff;
		display: inline-block;
		padding: 5px 15px 3px 15px;
		border-radius: 4px;
	}
	.links {
		li {
			&:not(:last-child) {
				margin-bottom: 20px;
			}
			a {
				color: #fff;
				@include respond-below(md) {
					font-size: 14px;
				}
			}
		}
	}
	.social {
		display: flex;
		align-items: center;
		flex-wrap: wrap;
		justify-content: space-between;
		@include respond-below(lg) {
			justify-content: flex-start;
		}
		a {
			display: inline-block;
			color: #fff;
			font-size: 20px;
			&:not(:last-child) {
				margin-right: 12px;
				@include respond-below(lg) {
					margin-right: 22px;
				}
			}
		}
	}
	.copyright {
		a {
			color: $primary;
		}
		@include respond-below(md) {
			font-size: 14px;
		}
	}
}
.sm__footer {
	margin-bottom: 30px;
	font-size: 14px;
	.footer__container {
		padding: 15px;
		background: #fff;
		color: $secondary;
		border-radius: 12px;
		box-shadow: 0 3px 15px rgba($secondary, 0.1);
	}
	.footer-brand {
		display: block;
		@include respond-below(md) {
			text-align: center;
		}
	}
	.copyright {
		font-size: 14px;
		margin-top: 20px;
		padding-top: 20px;
		border-top: 1px solid rgba(#ddd, 0.5);
		a {
			color: $primary;
		}
	}
	.social {
		display: flex;
		align-items: center;
		flex-wrap: wrap;
		justify-content: flex-end;
		@include respond-below(md) {
			justify-content: center;
			margin-top: 10px;
		}
		a {
			color: #fff;
			font-size: 16px;
			width: 30px;
			height: 30px;
			display: flex;
			align-items: center;
			justify-content: center;
			text-align: center;
			background: $primaryGradient;
			border-radius: 50%;
			&:hover {
				transform: translateY(-1px);
			}

			&:not(:last-child) {
				margin-right: 12px;
				@include respond-below(lg) {
					margin-right: 22px;
				}
			}
		}
	}
}
.get__started {
	.data__btn {
		background: url(../images/get-started-bg.png) no-repeat center center/cover;
		border-radius: 25px;
		overflow: hidden;
		color: #fff;
		position: relative;
		z-index: 2;
	}
	.title {
		font-weight: 600;
		font-size: 45px;
		font-weight: bolder;
		@include respond-below(lg) {
			font-size: 32px;
		}
		@include respond-below(md) {
			font-size: 22px;
		}
		span {
			color: $primary;
		}
	}
}


.cyber__web__page {
	.welcome {
		.img {
			margin-top: -150px;
			@include respond-below(lg) {
				margin-top: -50px;
			}
		}
	}
	.img {
		img {
			max-width: 100% !important;
		}
	}
}
